#!/bin/bash
REFSPEC=$1
GIT_URL=$2
shift 2

if [ -z "$GIT_URL" ]; then
	GIT_URL=git://git.samba.org/jelmer/samba-gtk.git
fi

if [ -z "$REFSPEC" ]; then
	REFSPEC=master
fi

version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
git clone --depth 1 -l $GIT_URL "samba-gtk-$version"

rm -rf "samba-gtk-$version/.git"
pushd "samba-gtk-$version" && ./autogen.sh && rm -rf autom4te.cache && popd
tar cvz "samba-gtk-$version" > "samba-gtk_$version.orig.tar.gz"
rm -rf "samba-gtk-$version"
